#if !defined(AFX_MANAGEOTHERAPP_H__8BAF88FE_B4FF_4CE2_8BEB_1557346A90B5__INCLUDED_)
#define AFX_MANAGEOTHERAPP_H__8BAF88FE_B4FF_4CE2_8BEB_1557346A90B5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ManageOtherApp.h : header file
//

//////////////////////////////////////////
//

#include "GlobalConst.h"

#define ID_ANLVISU_TIMER    10001

class CSendInfoInThread;

//////////////////////////////////////////



/////////////////////////////////////////////////////////////////////////////
// CManageOtherApp dialog

class CManageOtherApp : public CDialog
{
// Construction
public:
	CManageOtherApp(CWnd* pParent = NULL);   // standard constructor

	virtual ~CManageOtherApp();

	void ClockAppIsDown();

// Dialog Data
	//{{AFX_DATA(CManageOtherApp)
	enum { IDD = IDD_MANAGE_CLOCK };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CManageOtherApp)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CManageOtherApp)
	afx_msg void OnChangeCol();
	afx_msg void OnStartClockapp();
	afx_msg void OnStopClockapp();
	afx_msg void OnTimer(UINT nIDEvent);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	afx_msg LRESULT OnSendInfo1(WPARAM wPar, LPARAM lPar);
	

private:

	void StartSendInfos1();
	void StartSendInfos2();

	void SendInfo(const UINT nMsg, const int nVal);

	void ChangeColourOfClock(const UINT nColour, const UINT nTimerState = c_nChangeColour);

	void writeInTestBox(int nVal, int nCase);

	void SetValInEditBox(UINT nId, const int nVal);
	void GetValInEditBox(UINT nId);

private:

	CStringArray m_cstrColours;

	CSendInfoInThread* m_pSendInfo;

	int	m_nLoopCounter1;
	int	m_nLoopCounter2;
	int m_nDev1;
	int m_nDev2;

	BOOL m_bIsAppActive;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MANAGEOTHERAPP_H__8BAF88FE_B4FF_4CE2_8BEB_1557346A90B5__INCLUDED_)
