// ClockAppView.h : interface of the CClockAppView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLOCKAPPVIEW_H__957EBEA7_D9FA_4F87_B62D_18EDF5FBEC66__INCLUDED_)
#define AFX_CLOCKAPPVIEW_H__957EBEA7_D9FA_4F87_B62D_18EDF5FBEC66__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000



//////////////////////////////
//
class ShowClock;
//////////////////////////////


class CClockAppView : public CView
{
protected: // create from serialization only
	CClockAppView();
	DECLARE_DYNCREATE(CClockAppView)

// Attributes
public:
	CClockAppDoc* GetDocument();

// Operations
public:


	void ShowClockDlg(const BOOL bIsAppActive);	
	bool moveDlg();	
	void OnChangeColourOfClock(const int nCase, const int nTimerState);	
	void PrepareForDestroy();	

	void SetInfo1(int nVal);
	void SetInfo2(int nVal);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClockAppView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CClockAppView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CClockAppView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()



private:
	void ClockStart();	
	void ClockStop();	

private:

	ShowClock*	m_pClockShow;	

	CString		m_cstrValue1;
	CString		m_cstrValue2;
	CString		m_cstrValueCol;

};

#ifndef _DEBUG  // debug version in ClockAppView.cpp
inline CClockAppDoc* CClockAppView::GetDocument()
   { return (CClockAppDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLOCKAPPVIEW_H__957EBEA7_D9FA_4F87_B62D_18EDF5FBEC66__INCLUDED_)
