#if !defined(AFX_SHOWCLOCK_H__0C8B09D4_9BB7_48C5_AFD8_1E46B27DA5A9__INCLUDED_)
#define AFX_SHOWCLOCK_H__0C8B09D4_9BB7_48C5_AFD8_1E46B27DA5A9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ShowClock.h : header file
//



////////////////////////////////////////////////
//

/*
static double m_dMinute = 0.0f;
static int m_nPart = 0;


#define TARGET_RESOLUTION 1         // 1-millisecond target resolution	
static HWND hWnd = NULL;
static UINT	nTimerPeriod = 0;


#include "mmsystem.h"
*/

////////////////////////////////////////////////



/////////////////////////////////////////////////////////////////////////////
// ShowClock dialog

class ShowClock : public CDialog
{
// Construction
public:
	
	ShowClock(CWnd* pParent = NULL);   // standard constructor
	~ShowClock();
	BOOL Create(); 
	BOOL OnChangeCol(const int nTimerState , const int nCase);
	void PrepareForDestroy();

	BOOL startClockTimer();
	BOOL stopClockTimer();
/*
	friend void CALLBACK EXPORT MyTimerProc(
									   HWND hWnd,      // handle of CWnd that called SetTimer
									   UINT nMsg,      // WM_TIMER
									   UINT nIDEvent,   // timer identification
									   DWORD dwTime    // system time
										);


	friend void CALLBACK MultimediaTimerProc(UINT uTimerID, 
							UINT uMsg,	DWORD dwUser, 
							DWORD dw1, DWORD dw2);

	MMRESULT m_nTimerEventId;
*/


// Dialog Data
	//{{AFX_DATA(ShowClock)
	enum { IDD = IDD_CLOCK_SHOW };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ShowClock)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(ShowClock)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

//	BOOL startClockTimer();
//	BOOL stopClockTimer();


	BOOL setColour(const short nCase, const int nRed, const int nGreen, const int nBlue);
	BOOL setAllColours();
	BOOL setRect();
	BOOL setRect(const int x1, const int x2, const int y1, const int y2);
	BOOL PaintClock(CDC &dc, const double nMinute_in, CRect& myRect);
	void setRGB(const BYTE nRed, const BYTE nGreen, const BYTE nBlue);
	void setRGB_bc(const BYTE nRed, const BYTE nGreen, const BYTE nBlue);
	
private:

	double m_dMinute;
	int m_nX1;
	int m_nX2;
	int m_nY1;
	int m_nY2;

	int m_nTimerRange;
	int m_nPart;

	BYTE m_nRed;
	BYTE m_nGreen; 
	BYTE m_nBlue;

	BYTE m_nRed_bc;
	BYTE m_nGreen_bc; 
	BYTE m_nBlue_bc;

	CRect m_myRect;

	BOOL m_bClockMustBeDel;
	BOOL m_bClockStarted;

	short m_nCase;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHOWCLOCK_H__0C8B09D4_9BB7_48C5_AFD8_1E46B27DA5A9__INCLUDED_)
